package com.heyu.api.alibaba.request.mm.order.resp;


import com.alibaba.fastjson.JSON;
import com.google.common.collect.Lists;
import com.heyu.api.data.service.impl.AppBaseRequest;
import lombok.Data;

import java.util.List;

@Data
public class VvTradeOrderDTO  extends AppBaseRequest {

    private List<VvTradeOrderLineDTO> vvTradeOrderLineDTOList;

    /***
     * 买家地址id
     */
    private Long buyerAddressId;


    public static void main(String[] args) {
        VvTradeOrderDTO vvTradeOrderDTO = new VvTradeOrderDTO();
        vvTradeOrderDTO.setBuyerId(7L);
        vvTradeOrderDTO.setBuyerAddressId(9L);
        List<VvTradeOrderLineDTO> vvTradeOrderLineDTOList   = Lists.newArrayList();
        VvTradeOrderLineDTO vvTradeOrderLineDTO = new VvTradeOrderLineDTO();
        vvTradeOrderLineDTO.setSkuId(346L);
        vvTradeOrderLineDTO.setNum(2);
        vvTradeOrderLineDTOList.add(vvTradeOrderLineDTO);
        vvTradeOrderDTO.setVvTradeOrderLineDTOList(vvTradeOrderLineDTOList);

        System.out.println(JSON.toJSONString(vvTradeOrderDTO));
    }
}
